import { defineConfig } from 'astro/config'
import tailwind from "@astrojs/tailwind"
import node from "@astrojs/node"

// https://astro.build/config
export default defineConfig({
	site: 'https://print.dzeio.com',
	integrations: [tailwind()],
	build: {
		assets: 'assets'
	},
	server: {
		port: 3000,
		host: true
	},
	trailingSlash: 'never',
	output: 'server',
	adapter: node({
		mode: "standalone"
	}),
	vite: {
		server: {
			watch: {
				// support WSL strange things
				usePolling: !!process.env.WSL_DISTRO_NAME
			}
		}
	}
})
