/// <reference path="../.astro/types.d.ts" />
/// <reference types="astro/client" />

interface ImportMetaEnv {
	PRUSASLICER_PATH?: string
	BAMBUSTUDIO_PATH?: string
	MONGODB?: string
	PRIVATE_KEY?: string
	PUBLIC_KEY?: string
}

interface ImportMeta {
	readonly env: ImportMetaEnv;
}


declare namespace App {
	interface Locals {
		/**
		 * authentification key is the api key or the session token
		 */
		authKey?: string
		responseBuilder: {
			body(body: string | Buffer | object | null | undefined): this
			headers(headers: Record<string, string>): this
			addHeader(key: string, value: string): this
			addHeaders(headers: Record<string, string>): this
			removeHeader(key: string): this
			status(status: number): this
			build(): Response
		} // ./libs/ResponseBuilder object
	}
}
