import { promises as fs } from 'node:fs'

/**
 * File manipulation utility class
 */
export default class FilesUtils {
	/**
	 * heck if a file/folder exists at the specified location
	 * @param path the path to check
	 * @returns if the file exists or not
	 */
	public static async exists(path: string): Promise<boolean> {
		try {
			await fs.stat(path)
			return true
		} catch {
			return false
		}
	}
}
