import type { APIRoute } from 'astro'
import { buildRFC7807 } from '../../../../../../../../libs/RFCs/RFC7807'
import DaoFactory from '../../../../../../../../models/DaoFactory'

export const get: APIRoute = async ({ params, locals }) => {
	const configId = params.configId as string
	const fileName = params.fileName as string


	const dao = await DaoFactory.get('config').get(configId)

	if (!dao) {
		return buildRFC7807({
			title: 'Config does not exists :('
		})
	}

	const file = dao.files.find((it) => it.name === fileName)

	return locals.responseBuilder
		.status(200)
		.body(file?.data)
		.build()
}
